FROM python:3.11-slim

# Установка рабочей директории
WORKDIR /app

# Отключение кэширования pip и буферизации вывода Python
ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1

# Копирование требований и установка
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# Копирование остального исходного кода
COPY . .

# Открытие порта
EXPOSE 8000

# Запуск сервера
CMD ["python", "server.py"]
